<?php
                        
require_once ('../inventario/conexion.php');

$objconexion = new conexion();

 $sentenciaselect = "SELECT 
    impresoras.serial_impresora,
 impresoras.marca_impresora,
  impresoras.ip,
   estado_equipo.nombre_estadoequipo, 
   impresoras.fecha_ingreso
   from impresoras,estado_equipo
    where impresoras.estado_impresora=estado_equipo.id_estadoequipo
and estado_equipo.nombre_estadoequipo= (case when NOT EXISTS(select estado_equipo.nombre_estadoequipo from estado_equipo where estado_equipo.nombre_estadoequipo ='". $_GET['var1']."') then estado_equipo.nombre_estadoequipo
else '". $_GET['var1']."' end)";


$arreglo = $objconexion->consultararraynum($sentenciaselect);
mostrar($arreglo);
  
function mostrar($inarreglo)
{
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
         echo "<tr>";
         $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

        echo "<td>";
        echo $inarreglo[$i][$j];
        echo "</td>";


    }
    echo "</tr>";
}
}


?>